Post Search
curl --request POST \
--url https://api.datamagnet.co/api/v1/post/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "<string>",
"sort_by": "<string>",
"date_posted": "<string>",
"content_type": "<string>",
"author_title": "<string>",
"mentions_organization": [
{}
],
"page": 123
}
'import requests
url = "https://api.datamagnet.co/api/v1/post/search"
payload = {
"keyword": "<string>",
"sort_by": "<string>",
"date_posted": "<string>",
"content_type": "<string>",
"author_title": "<string>",
"mentions_organization": [{}],
"page": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyword: '<string>',
sort_by: '<string>',
date_posted: '<string>',
content_type: '<string>',
author_title: '<string>',
mentions_organization: [{}],
page: 123
})
};
fetch('https://api.datamagnet.co/api/v1/post/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"data": {
"count": 10,
"total": 231,
"items": [
{
"urn": "7449019105547874304",
"share_urn": "urn:li:ugcPost:7449019026481139712",
"url": "https://www.linkedin.com/posts/erikasanchezconsultora_ia-inteligenciaartificial-creatividad-activity-7449019105547874304-bTJ3",
"text": "La seguridad laboral ha muerto (y es lo mejor que te puede pasar)...",
"posted_at": "23m",
"posted_date": "2026-04-12 09:02:30.845 +0000 UTC",
"posted_date_timestamp": 1775984550845,
"reposted": false,
"template": "",
"author": {
"id": 636969530,
"full_name": "Erika Sánchez",
"username": "erikasanchezconsultora",
"headline": "Coordinadora de proyectos | Consultora de negocios | IA aplicada a emprendimiento",
"type": "user",
"url": "https://www.linkedin.com/in/erikasanchezconsultora",
"urn": "ACoAACX3YjoB_y5e1uZK9KUhOHvtXgSTkw2t37A",
"profile_pictures": [
{ "height": 100, "width": 100, "url": "https://media.licdn.com/..." },
{ "height": 200, "width": 200, "url": "https://media.licdn.com/..." }
]
},
"social_activity_counts_insight": {
"like_count": 0,
"num_comments": 0,
"total_reaction_count": 0,
"appreciation_count": 0,
"empathy_count": 0,
"funny_count": 0,
"interest_count": 0,
"maybe_count": 0,
"praise_count": 0
},
"video": {
"duration": 116200,
"entity_urn": "urn:li:digitalmediaAsset:aAC2ZgAAAWyLhXqjzqQ",
"media": "urn:li:digitalmediaAsset:aAC2ZgAAAWyLhXqjzqQ",
"thumbnails": [
{ "height": 1280, "width": 720, "url": "https://media.licdn.com/..." }
],
"video": [
{ "bit_rate": 615445, "height": 1280, "width": 720, "media_type": "video/mp4", "url": "https://dms.licdn.com/..." }
]
},
"article": {},
"entity": {},
"object": {}
}
]
},
"credit_used": 5
}
Post Search
Search LinkedIn posts by keyword with filters for author, content type, and date range. Returns matching posts with engagement metadata.
POST
/
api
/
v1
/
post
/
search
Post Search
Cost:10 credits/search.
Search for LinkedIn posts by keyword, content type, date range, and author filters.
Post search endpoint
Optional attributes
string
General search keyword. Example:
microsoftstring
Sort order for results. Accepted values:
date_posted, relevance. Default: relevance.string
Filter by how recently the post was published. Accepted values:
past-24h, past-week, past-month.string
Filter by content type. Accepted values:
| Value | Description |
|---|---|
photos | Images |
videos | Videos |
jobs | Jobs |
liveVideos | LinkedIn Live Videos |
documents | Documents |
string
Filter posts by the author’s job title. Example:
CTOarray
Return only posts that mention the given LinkedIn companies. Pass an array of LinkedIn company IDs. Example:
[1035, 1441]A comma-separated string ("1035,1441") is also accepted and treated the same way.integer
default:1
Page number for pagination. Minimum value is
1.Response
{
"status": "ok",
"data": {
"count": 10,
"total": 231,
"items": [
{
"urn": "7449019105547874304",
"share_urn": "urn:li:ugcPost:7449019026481139712",
"url": "https://www.linkedin.com/posts/erikasanchezconsultora_ia-inteligenciaartificial-creatividad-activity-7449019105547874304-bTJ3",
"text": "La seguridad laboral ha muerto (y es lo mejor que te puede pasar)...",
"posted_at": "23m",
"posted_date": "2026-04-12 09:02:30.845 +0000 UTC",
"posted_date_timestamp": 1775984550845,
"reposted": false,
"template": "",
"author": {
"id": 636969530,
"full_name": "Erika Sánchez",
"username": "erikasanchezconsultora",
"headline": "Coordinadora de proyectos | Consultora de negocios | IA aplicada a emprendimiento",
"type": "user",
"url": "https://www.linkedin.com/in/erikasanchezconsultora",
"urn": "ACoAACX3YjoB_y5e1uZK9KUhOHvtXgSTkw2t37A",
"profile_pictures": [
{ "height": 100, "width": 100, "url": "https://media.licdn.com/..." },
{ "height": 200, "width": 200, "url": "https://media.licdn.com/..." }
]
},
"social_activity_counts_insight": {
"like_count": 0,
"num_comments": 0,
"total_reaction_count": 0,
"appreciation_count": 0,
"empathy_count": 0,
"funny_count": 0,
"interest_count": 0,
"maybe_count": 0,
"praise_count": 0
},
"video": {
"duration": 116200,
"entity_urn": "urn:li:digitalmediaAsset:aAC2ZgAAAWyLhXqjzqQ",
"media": "urn:li:digitalmediaAsset:aAC2ZgAAAWyLhXqjzqQ",
"thumbnails": [
{ "height": 1280, "width": 720, "url": "https://media.licdn.com/..." }
],
"video": [
{ "bit_rate": 615445, "height": 1280, "width": 720, "media_type": "video/mp4", "url": "https://dms.licdn.com/..." }
]
},
"article": {},
"entity": {},
"object": {}
}
]
},
"credit_used": 5
}
The response model
Properties
string
Status of the response. Example:
okobject
Search results container.
Show Data object
Show Data object
integer
Number of results returned in this page.
integer
Total number of matching posts.
array
List of post results.
Show Post object
Show Post object
string
Unique identifier for the post.
string
Full URN of the post in LinkedIn’s internal format.
string
Direct URL to the LinkedIn post.
string
Text content of the post.
string
Human-readable time since posting. Example:
23mstring
UTC timestamp of when the post was published.
integer
Unix timestamp in milliseconds.
boolean
Whether this post is a repost.
string
Post template type, if any.
object
Author details.
Show Author object
Show Author object
object
Engagement metrics for the post.
Show Engagement metrics
Show Engagement metrics
object
object
Article details, present when the post contains an article.
integer
Number of credits used for this request. Example:
5Was this page helpful?
⌘I